/**
 * Test
 */
export default class Interval {
    private _t0;
    private _t1;
    /**
     * Represents an interval from a min to a max
     * @param t0: one end of the interval (can be min or max)
     * @param t1: the other end of the interval (can be min or max)
     */
    constructor(t0: number, t1: number);
    get T0(): number;
    get T1(): number;
    get isIncreasing(): boolean;
    get isDecreasing(): boolean;
    get isSingleton(): boolean;
    get min(): number;
    get mid(): number;
    /**
     * Testing 123
     * @returns: The larger of T0 & T1
     */
    get max(): number;
    get length(): number;
    swap(): void;
}
